package com.steerinfo.ems.trmdwvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmDwValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=true)
    private String clock;

    /**
     * 项目ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目ID",required=true)
    private String itemid;

    /**
     * 粒度代码(TIMEGRANID,VARCHAR,20)
     */
    @ApiModelProperty(value="粒度代码",required=true)
    private String timegranid;

    /**
     * 系统产品产量(PRODUCTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="系统产品产量",required=false)
    private BigDecimal productvalue;

    /**
     * 系统最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="系统最终值",required=false)
    private BigDecimal apportvalue;

    /**
     * 系统折标值(STDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="系统折标值",required=false)
    private BigDecimal stdvalue;

    /**
     * 系统单耗值(UCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="系统单耗值",required=false)
    private BigDecimal ucvalue;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=false)
    private String islock;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private String recTime;

    /**
     * 确认时间(UPTIME,VARCHAR,20)
     */
    @ApiModelProperty(value="确认时间",required=false)
    private String uptime;

    /**
     * 确认人(UPUSER,VARCHAR,40)
     */
    @ApiModelProperty(value="确认人",required=false)
    private String upuser;

    /**
     * 上报产量(PRODUCTWVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="上报产量",required=false)
    private BigDecimal productwvalue;

    /**
     * 创建人(CREATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 上报最终值(APPORTWVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="上报最终值",required=false)
    private BigDecimal apportwvalue;

    /**
     * 上报单耗值(UCWVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="上报单耗值",required=false)
    private BigDecimal ucwvalue;

    /**
     * 上报折标值(STDWVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="上报折标值",required=false)
    private BigDecimal stdwvalue;

    /**
     * 备注(BZ,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 修改人(MFUSER,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String mfuser;

    /**
     * 修改时间(MFTIME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String mftime;

    private static final long serialVersionUID = 1L;

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public BigDecimal getProductvalue() {
        return productvalue;
    }

    public void setProductvalue(BigDecimal productvalue) {
        this.productvalue = productvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getStdvalue() {
        return stdvalue;
    }

    public void setStdvalue(BigDecimal stdvalue) {
        this.stdvalue = stdvalue;
    }

    public BigDecimal getUcvalue() {
        return ucvalue;
    }

    public void setUcvalue(BigDecimal ucvalue) {
        this.ucvalue = ucvalue;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getUptime() {
        return uptime;
    }

    public void setUptime(String uptime) {
        this.uptime = uptime == null ? null : uptime.trim();
    }

    public String getUpuser() {
        return upuser;
    }

    public void setUpuser(String upuser) {
        this.upuser = upuser == null ? null : upuser.trim();
    }

    public BigDecimal getProductwvalue() {
        return productwvalue;
    }

    public void setProductwvalue(BigDecimal productwvalue) {
        this.productwvalue = productwvalue;
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public BigDecimal getApportwvalue() {
        return apportwvalue;
    }

    public void setApportwvalue(BigDecimal apportwvalue) {
        this.apportwvalue = apportwvalue;
    }

    public BigDecimal getUcwvalue() {
        return ucwvalue;
    }

    public void setUcwvalue(BigDecimal ucwvalue) {
        this.ucwvalue = ucwvalue;
    }

    public BigDecimal getStdwvalue() {
        return stdwvalue;
    }

    public void setStdwvalue(BigDecimal stdwvalue) {
        this.stdwvalue = stdwvalue;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getMfuser() {
        return mfuser;
    }

    public void setMfuser(String mfuser) {
        this.mfuser = mfuser == null ? null : mfuser.trim();
    }

    public String getMftime() {
        return mftime;
    }

    public void setMftime(String mftime) {
        this.mftime = mftime == null ? null : mftime.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", itemid=").append(itemid);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", productvalue=").append(productvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", stdvalue=").append(stdvalue);
        sb.append(", ucvalue=").append(ucvalue);
        sb.append(", islock=").append(islock);
        sb.append(", recTime=").append(recTime);
        sb.append(", uptime=").append(uptime);
        sb.append(", upuser=").append(upuser);
        sb.append(", productwvalue=").append(productwvalue);
        sb.append(", createman=").append(createman);
        sb.append(", apportwvalue=").append(apportwvalue);
        sb.append(", ucwvalue=").append(ucwvalue);
        sb.append(", stdwvalue=").append(stdwvalue);
        sb.append(", bz=").append(bz);
        sb.append(", mfuser=").append(mfuser);
        sb.append(", mftime=").append(mftime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
    
    @Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("clock", clock);
		m.put("timegranid", timegranid);
		m.put("itemid", itemid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
}